/* Copyright (c) 2015-2018 Skyward Experimental Rocketry
 * Authors: Luca Erbetta
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#pragma once

#include <Common.h>

using miosix::Gpio;

enum SMTaskIDs : uint8_t
{
    TASK_THREADS,
    TASK_PRESSURE,
    TASK_IMU,
    TASK_GPS,
    TASK_ADC
};

/*using namespace miosix::interfaces;
using namespace miosix::sensors;

typedef ProtocolI2C<miosix::I2C1Driver> busI2C1;

// SPI1
typedef BusSPI<1, spi1::mosi, spi1::miso, spi1::sck> busSPI1;

// Spi protocol defs
typedef ProtocolSPI<busSPI1, mpu9250::cs> spiMPU9250;
typedef ProtocolSPI<busSPI1, max21105::cs> spiMAX21105;
typedef ProtocolSPI<busSPI1, adis16405::cs> spiADIS16405;

static const uint8_t AD7994_I2C_ADDRESS = 0x24;  // Todo: Update with real
value*/
